Bug 116318 - [MAINTAINER] astro/boinc-setiathome-enhanced : fix linkage
Summary: [MAINTAINER] astro/boinc-setiathome-enhanced : fix linkage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-12 20:40 UTC by Rene Ladan
Modified: 2007-10-06 16:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.44 KB, patch)
2007-09-12 20:40 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan 2007-09-12 20:40:01 UTC
The test utility client/hires_timer_test builds on my box, but fails to build on pointyhat (gohan28.freebsd.org).  Since it isn't installed by the port, modify client/Makefile.am to not build the utility.

Changes:
* reroll the distfile
* update distinfo
* increase PORTREVISION (the porters handbook is silent on this?)
* while here fix a typo in a URL

Fix: Patch attached with submission follows:
How-To-Repeat: See e.g. http://pointyhat.freebsd.org/errorlogs/i386-5-exp-full/boinc-setiathome-enhanced-5.27_1.log
for the build (link) failure.
Comment 1 Li-Wen Hsu freebsd_committer 2007-09-13 03:41:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 2 Li-Wen Hsu freebsd_committer 2007-09-15 19:55:23 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 dfilter service freebsd_committer 2007-10-06 16:37:03 UTC
lwhsu       2007-10-06 15:36:58 UTC

  FreeBSD ports repository

  Modified files:
    astro/boinc-setiathome-enhanced Makefile distinfo 
  Log:
  - Unbroken, except on amd64 (temporarily, fixing is on going)
  
  Changes:
  * reroll the distfile
    (the generated Makefile in work/boinc-setiathome-5.27/client contained
     rules to compile the uninstalled test utility hires_timer_test,
     for which the linkage failed on pointyhat.  Remove these rules and
     reroll the distfile.)
  * update distinfo
  * increase PORTREVISION
  * while here fix a typo in a URL
  
  PR:             ports/116318
  Submitted by:   Rene Ladan <r.c.ladan AT gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.12      +9 -5      ports/astro/boinc-setiathome-enhanced/Makefile
  1.6       +3 -3      ports/astro/boinc-setiathome-enhanced/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Li-Wen Hsu freebsd_committer 2007-10-06 16:39:23 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!